<?php
	
	declare(strict_types=1);
	  
	/**
	 * User: Daschmi (https://daschmi.de)
	 * Date: 02.09.2019
	 * Time: 08:09 
	 * 
	 * Modul zur Zahlungsabwicklung mit Ratenzahlung über die PayPal REST API
	 * @author Daschmi (daniel@maennchen1.de)
	 */
	class wpsg_mod_paypalratepay extends wpsg_mod_basic {
		
		var $apiContext = false;
		
		var $lizenz = 1;
		var $id = 18;
		//var $hilfeURL = 'http://wpshopgermany.de/?p=1728009';
		var $version = "9.9.9";
		var $free = false;
				
		/**
		 * Costructor
		 */
		public function __construct() {
			
			parent::__construct();
			
			$this->name = __('PayPal Ratenzahlung', 'wpsg');
			$this->group = __('Zahlungsarten', 'wpsg');
			$this->desc = __('Ermöglicht die Zahlungsart PayPal mit Ratenzahlung über die REST API Schnittstelle.', 'wpsg');
			
		} // public function __construct()
		
		public function init() {
			
			
		} // public function init()
		
		public function install() {
			
			$this->shop->checkDefault('wpsg_mod_paypalratepay_currency', 'EUR');
			
			$this->shop->checkDefault('wpsg_mod_paypalratepay_name', __('PayPal Ratenzahlung', 'wpsg'), false, true);
			$this->shop->checkDefault('wpsg_mod_paypalratepay_hint', __('Ratenzahlung über PayPal', 'wpsg'), false, true);
			
		}
		
		public function settings_edit() {
			
			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_paypalratepay/settings_edit.phtml');
			
		}
		
		public function settings_save() {
			
			$this->shop->update_option('wpsg_mod_paypalratepay_aktiv', $_REQUEST['wpsg_mod_paypalratepay_aktiv'], false, false, WPSG_SANITIZE_CHECKBOX);
			
			$this->shop->update_option('wpsg_mod_paypalratepay_name', $_REQUEST['wpsg_mod_paypalratepay_name'], false, true, WPSG_SANITIZE_TEXTFIELD);
			$this->shop->update_option('wpsg_mod_paypalratepay_hint', $_REQUEST['wpsg_mod_paypalratepay_hint'], false, true, WPSG_SANITIZE_TEXTAREA);
			
		}
		
		public function addPayment(&$arPayment) {
			
			if (!$this->shop->hasMod('wpsg_mod_paypalapi')) return false;
			
			if (is_admin() || $this->shop->get_option('wpsg_mod_paypalratepay_aktiv') == '1') {
				
				$arPayment[$this->id] = array(
					'id' => $this->id,
					'name' => __($this->shop->get_option('wpsg_mod_paypalratepay_name'), 'wpsg'),
					'price' => $this->shop->get_option('wpsg_mod_paypalratepay_gebuehr'),
					'tax_key' => $this->shop->get_option('wpsg_mod_paypalratepay_taxkey'),
					'mwst_null' => $this->shop->get_option('wpsg_mod_paypalratepay_taxcountry'),
					'hint' => __($this->shop->get_option('wpsg_mod_paypalratepay_hint'), 'wpsg'),
					//'logo' => $this->shop->getRessourceURL('mods/mod_paypalapi/gfx/logo_100x25.png')
				);
				
			}
			
		}  
		
	}
    